Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge icedtea-bin-3.5.1 fail on MIPS n32 loongson CPU
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures
View previous topic :: View next topic  
Author Message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Sun Sep 24, 2017 4:18 am    Post subject: emerge icedtea-bin-3.5.1 fail on MIPS n32 loongson CPU Reply with quote

Hi
I use Gentoo on lemote 8101 which has a MIPS n32 loongson CPU.
I want to use JDK on this computer, but I emerge icedtea fail:(
Any one who can help me, Thank you!

Here is the emerge error, I think the icedtea-bin-3.5.1.ebuild need some patch to support MIPS n32 loongson CPU at here:

icedtea-bin-3.5.1.ebuild line:
Code:

if multilib_is_native_abi; then
dodoc
${P}-${ABI}/doc/{ASSEMBLY_EXCEPTION,AUTHORS,NEWS,README,THIRD_PARTY_README}
use doc && dodoc -r ${P}/doc/html


The emerge build log:
Code:
>>> Emerging (1 of 4) dev-java/icedtea-bin-3.5.1::gentoo
* icedtea-bin-doc-3.5.1.tar.xz SHA256 SHA512 WHIRLPOOL
size ;-) ...                          [ ok ]
>>> Unpacking source...
>>> Unpacking icedtea-bin-doc-3.5.1.tar.xz
>>> to /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work Source unpacked
>>> in /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work Preparing
>>> source in /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work ...
>>> Source prepared. Configuring source
>>> in /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work ... Source
>>> configured. Compiling source
>>> in /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work ... Source
>>> compiled. Test phase [not enabled]: dev-java/icedtea-bin-3.5.1

>>> Install icedtea-bin-3.5.1
>>> into /var/tmp/portage/dev-java/icedtea-bin-3.5.1/image/ category
>>> dev-java
* abi_mips_n32.n32: running multilib_src_install
/usr/bin/install: cannot stat
‘icedtea-bin-3.5.1-n32/doc/ASSEMBLY_EXCEPTION’: No such file or
directory !!! dodoc: icedtea-bin-3.5.1-n32/doc/ASSEMBLY_EXCEPTION does
not exist /usr/bin/install: cannot stat
‘icedtea-bin-3.5.1-n32/doc/AUTHORS’: No such file or directory !!!
dodoc: icedtea-bin-3.5.1-n32/doc/AUTHORS does not
exist /usr/bin/install: cannot stat ‘icedtea-bin-3.5.1-n32/doc/NEWS’:
No such file or directory !!! dodoc: icedtea-bin-3.5.1-n32/doc/NEWS
does not exist /usr/bin/install: cannot stat
‘icedtea-bin-3.5.1-n32/doc/README’: No such file or directory !!!
dodoc: icedtea-bin-3.5.1-n32/doc/README does not
exist /usr/bin/install: cannot stat
‘icedtea-bin-3.5.1-n32/doc/THIRD_PARTY_README’: No such file or
directory !!! dodoc: icedtea-bin-3.5.1-n32/doc/THIRD_PARTY_README does
not exist
* ERROR: dev-java/icedtea-bin-3.5.1::gentoo failed (install phase):
*   dodoc failed
*
* If you need support, post the output of `emerge --info
'=dev-java/icedtea-bin-3.5.1::gentoo'`,
* the complete build log and the output of `emerge -pqv
'=dev-java/icedtea-bin-3.5.1::gentoo'`.
* The complete build log is located at
'/var/tmp/portage/dev-java/icedtea-bin-3.5.1/temp/build.log'.
* The ebuild environment file is located at
'/var/tmp/portage/dev-java/icedtea-bin-3.5.1/temp/environment'.
* Working directory: '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work'
* S: '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work'
* QA Notice: file does not exist:
*
* dodoc: icedtea-bin-3.5.1-n32/doc/ASSEMBLY_EXCEPTION does not
exist
* dodoc: icedtea-bin-3.5.1-n32/doc/AUTHORS does not exist
* dodoc: icedtea-bin-3.5.1-n32/doc/NEWS does not exist
* dodoc: icedtea-bin-3.5.1-n32/doc/README does not exist
* dodoc: icedtea-bin-3.5.1-n32/doc/THIRD_PARTY_README does not
exist

>>> Failed to emerge dev-java/icedtea-bin-3.5.1, Log file:

>>>  '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/temp/build.log'

* Messages for package dev-java/icedtea-bin-3.5.1:

* ERROR: dev-java/icedtea-bin-3.5.1::gentoo failed (install phase):
*   dodoc failed
*
* If you need support, post the output of `emerge --info
   '=dev-java/icedtea-bin-3.5.1::gentoo'`,
* the complete build log and the output of `emerge -pqv
   '=dev-java/icedtea-bin-3.5.1::gentoo'`.
* The complete build log is located at
   '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/temp/build.log'.
* The ebuild environment file is located at
   '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/temp/environment'.
* Working directory: '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work'
* S: '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work'
yeeloong portage #


[Moderator edit: added [code] tags to preserve output layout; changed [quote] tags to [code] tags to preserve output layout. -Hu]
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16910
Location: here

PostPosted: Sun Sep 24, 2017 11:12 am    Post subject: Reply with quote

You can unpack manually ebuild and post output of /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work directory?
Code:
# ebuild /usr/portage/dev-java/icedtea-bin/icedtea-bin-3.5.1 unpack
# ls -l '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work/*

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Chiitoo
Moderator
Moderator


Joined: 28 Feb 2010
Posts: 1402
Location: Here and Away Again

PostPosted: Sun Sep 24, 2017 11:20 am    Post subject: Reply with quote

Moved from Portage & Programming to Gentoo on Alternative Architectures, as the topic is a better fit here.
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Sun Oct 08, 2017 12:22 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You can unpack manually ebuild and post output of /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work directory?
Code:
# ebuild /usr/portage/dev-java/icedtea-bin/icedtea-bin-3.5.1 unpack
# ls -l '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/work/*


Code:
yeeloong ~ # ebuild /usr/portage/dev-java/icedtea-bin/icedtea-bin-3.5.1.ebuild unpack
>>> Existing ${T}/environment for 'icedtea-bin-3.5.1' will be sourced.
>>> Run 'clean' to start with a fresh environment.
>>> Checking icedtea-bin-doc-3.5.1.tar.xz's mtime...
>>> WORKDIR is up-to-date, keeping...
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> It appears that 'setup' has already executed for
>>> 'icedtea-bin-3.5.1'; skipping. Remove
>>> '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/.setuped' to force
>>> setup. It appears that 'unpack' has already executed for
>>> 'icedtea-bin-3.5.1'; skipping. Remove
>>> '/var/tmp/portage/dev-java/icedtea-bin-3.5.1/.unpacked' to force
>>> unpack.
yeeloong ~ # ls -l /var/tmp/portage/dev-java/icedtea-bin-3.5.1/work/*
total 4
drwxr-xr-x 3 portage portage 4096 Sep 28 00:27 doc
yeeloong ~ #
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Sun Oct 08, 2017 12:23 pm    Post subject: Reply with quote

Chiitoo wrote:
Moved from Portage & Programming to Gentoo on Alternative Architectures, as the topic is a better fit here.


OK, Thank you!
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Sun Oct 08, 2017 12:43 pm    Post subject: Reply with quote

emtone,

From icedtea-bin-3.5.1.ebuild
Code:
KEYWORDS="-* amd64 ~arm ~arm64 ppc64 x86"


That means known to be broken on all except amd64 ~arm ~arm64 ppc64 x86 arches.

As its a binary, there is noting to build, the binary for the arch just gets installed.
As there is no binary for MIPS n32 there, you cannot install icedtea-bin.

That's the bad news.

You may be able to build icedtea for yourself. You start with gcc-5.4 (not newer) with USE=gcj.
That gets you a java that can build icedtea:7
Once you have icedtea:7, it can build icedtea:8 which is what you said you wanted.

I've done it an arm64 but not on MIPS.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Sun Oct 08, 2017 1:11 pm    Post subject: Reply with quote

NeddySeagoon wrote:
emtone,

From icedtea-bin-3.5.1.ebuild
Code:
KEYWORDS="-* amd64 ~arm ~arm64 ppc64 x86"


That means known to be broken on all except amd64 ~arm ~arm64 ppc64 x86 arches.

As its a binary, there is noting to build, the binary for the arch just gets installed.
As there is no binary for MIPS n32 there, you cannot install icedtea-bin.

That's the bad news.

You may be able to build icedtea for yourself. You start with gcc-5.4 (not newer) with USE=gcj.
That gets you a java that can build icedtea:7
Once you have icedtea:7, it can build icedtea:8 which is what you said you wanted.

I've done it an arm64 but not on MIPS.


Thanks NeddySeagoon!
I try but there are a circular dependencies ERROR:

Code:
yeeloong icedtea # USE=gcj emerge =icedtea-7.2.6.11
 
* IMPORTANT: 25 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.
 
Calculating dependencies... done!
 
 
[ebuild  N    *] dev-java/icedtea-7.2.6.11:7::gentoo  USE="alsa cups
debug doc gtk jbootstrap sunec webstart (-cacao) -cjk -examples
-headless-awt (-jamvm) -javascript -kerberos -libressl -nsplugin -nss
-pax_kernel (-pulseaudio) -sctp (-selinux) (-smartcard) -source {-test}
-zero" 54,034 KiB
 
Total: 1 package (1 new), Size of downloads: 54,034 KiB
 
* Error: circular dependencies:
 
(dev-java/icedtea-7.2.6.11:7/7::gentoo, ebuild scheduled for merge)
depends on (dev-java/icedtea-7.2.6.11:7/7::gentoo, ebuild scheduled for
merge) (buildtime)
 
* Note that circular dependencies can often be avoided by temporarily
* disabling USE flags that trigger optional dependencies.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Sun Oct 08, 2017 3:37 pm    Post subject: Reply with quote

emtone,

Please post the output of
Code:
gcc-config -l

and
Code:
emerge -pv sys-devel/gcc


The first step is to build gcc with USE=gcj so you have a java that can be used to build icedtea.
Not any gcc will do.

I need the above outputs to provide more details.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Sun Oct 08, 2017 4:16 pm    Post subject: Reply with quote

Hi NeddySeagoon,
The output:

Code:
yeeloong icedtea-bin # gcc-config -l
[1] mips64el-unknown-linux-gnu-5.3.0
[2] mips64el-unknown-linux-gnu-5.3.0-hardenednopie
[3] mips64el-unknown-linux-gnu-5.3.0-hardenednopiessp
[4] mips64el-unknown-linux-gnu-5.3.0-hardenednossp
[5] mips64el-unknown-linux-gnu-5.3.0-vanilla
[6] mips64el-unknown-linux-gnu-5.4.0
[7] mips64el-unknown-linux-gnu-6.3.0 *
yeeloong icedtea-bin # emerge -pv sys-devel/gcc
 
These are the packages that would be merged, in order:
 
Calculating dependencies... done!
[ebuild  NS    ] sys-devel/gcc-6.4.0:6.4.0::gentoo
[5.3.0:5.3.0::gentoo, 5.4.0-r3:5.4.0::gentoo, 6.3.0:6.3.0::gentoo]
USE="cxx debug doc fortran (multilib) nls nptl pch ssp (-altivec)
(-awt) (-cilk) -fixed-point (-gcj) -go -graphite (-hardened) (-jit)
(-libssp) (-mpx) -objc -objc++ -objc-gc -openmp (-pie) -regression-test
(-sanitize) -vanilla (-vtv)" 74,379 KiB
 
Total: 1 package (1 in new slot), Size of downloads: 74,379 KiB
 
!!! The following installed packages are masked:
- media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r5::gentoo (masked
by: package.mask) /usr/portage/profiles/package.mask:
# Mart Raudsepp <leio@gentoo.org> (16 Feb 2017)
# Old gstreamer 0.10 version, which is security vulnerable.
# Use gstreamer:1.0 with media-plugins/gst-plugins-libav
# instead (despite the name, it uses media-video/ffmpeg too).
# Please keep this mask entry until gstreamer:0.10 is still
# in tree or at least gets an affecting GLSA from bug 601354
# Bug #594878.
 
- sys-devel/binutils-2.27::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Michał Górny <mgorny@gentoo.org>, Andreas K. Hüttel
  <dilfridge@gentoo.org>, # Matthias Maier <tamiko@gentoo.org> (21 May
  2017) # These old versions of toolchain packages (binutils, gcc,
  glibc) are no # longer officially supported and are not suitable for
  general use. Using # these packages can result in build failures (and
  possible breakage) for # many packages, and may leave your system
  vulnerable to known security # exploits.
# If you still use one of these old toolchain packages, please upgrade
  (and # switch the compiler / the binutils) ASAP. If you need them for
  a specific # (isolated) use case, feel free to unmask them on your
  system.
 
- dev-lang/ruby-2.1.10::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Hans de Graaff <graaff@gentoo.org> (20 Aug 2017)
# Mask Ruby 2.1 for removal, bug 615822
# This version is no longer supported by upstream
# since March 2017.
# This mask also includes all remaining ruby21-only packages.
 
- dev-perl/DBD-mysql-4.32.0-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Kent Fredric <kentnl@gentoo.org> (04 Feb 2017)
# Unsecure versions that have been only restored to tree
# to resolve compatibility problems with mail-filter/amavisd-new
# Use with caution due to these being removed for CVE-2016-1251
# Bug: #601144
# Bug: #604678
 
- xfce-extra/xfce4-mixer-4.11.0::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Michał Górny <mgorny@gentoo.org> (21 Aug 2017)
# xfce4-mixer is discontinued upstream and no longer considered part
# of the DE since 4.12. It requires vulnerable gstreamer:0.10, and no
# longer builds with the development versions of core Xfce4 components.
# The suggested replacement is xfce-extra/xfce4-pulseaudio-plugin.
# Removal in 30 days. Bug #628424.
 
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
 
 
* IMPORTANT: 25 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.
 
yeeloong icedtea-bin #
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Sun Oct 08, 2017 6:31 pm    Post subject: Reply with quote

emtone,

Thank you. You have already done the gcc-4.x to gcc-5.x upgrade no you won't need to do that.

Code:
USE="cxx debug doc fortran (multilib) nls nptl pch ssp (-altivec)
(-awt) (-cilk) -fixed-point (-gcj) -go -graphite (-hardened) (-jit)
(-libssp) (-mpx) -objc -objc++ -objc-gc -openmp (-pie) -regression-test
(-sanitize) -vanilla (-vtv)"


Notice that you have USE=(-gcj) so gcj is forced off in your profile. Setting it is a two stage thing.
Stopping it being forced off.
Settinging it normally.

Make a file /etc/portage/profile/package.use.mask
Enter
Code:
# gcc java compiler is hard masked
# it goes away in gcc-7
<sys-devel/gcc-6 -gcj

This will enable gcj to be used on any version of gcc less than 6.
emerge -pv gcc:5.4.0 should show USE=-gcj now.
If not, one of us has messed up.
That's enabled gcj to be selected.

Make a file /etc/portage/package.use/gcc
Add <sys-devel/gcc-6 gcj to it.
This turns on gcj for any version of gcc less than 6

Code:
emerge -av gcc:5.4.0
should show gcj enabled. In green with a *
Allow gcc to build.

Select gcc-5.4 with gcc-config.

Code:
emerge icedtea
will use the java provided by gcc to bootstrap.
It may well want other packages to be keyworded first.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Tue Oct 10, 2017 2:27 am    Post subject: Reply with quote

Thank you NeddySeagoon!

I fail on compile gcc5.4

Code:
yeeloong portage # emerge -av gcc:5.4.0
 
* IMPORTANT: 25 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.
 
 
These are the packages that would be merged, in order:
 
Calculating dependencies... done!
[ebuild   R    ] sys-devel/gcc-5.4.0-r3:5.4.0::gentoo  USE="cxx debug
doc* fortran* gcj* (multilib) nls nptl (-altivec) (-awt) (-cilk)
-fixed-point -go -graphite (-hardened) (-jit) (-libssp) (-mpx) -nopie
-nossp -objc -objc++ -objc-gc -openmp -regression-test (-sanitize)
-vanilla (-vtv)" 1,464 KiB
 
Total: 1 package (1 reinstall), Size of downloads: 1,464 KiB


The error message:

Code:
msgfmt -o
de.mo /var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/gcc-5.4.0/libstdc++-v3/po/de.po
msgfmt: error while loading shared libraries: libicuuc.so.52: cannot
open shared object file: No such file or directory Makefile:494: recipe
for target 'de.mo' failed make[5]: *** [de.mo] Error 127 make[5]:
Leaving directory
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build/mips64el-unknown-linux-gnu/libstdc++-v3/po'
Makefile:507: recipe for target 'all-recursive' failed make[4]: ***
[all-recursive] Error 1 make[4]: Leaving directory
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build/mips64el-unknown-linux-gnu/libstdc++-v3'
Makefile:414: recipe for target 'all' failed make[3]: *** [all] Error 2
make[3]: Leaving directory
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build/mips64el-unknown-linux-gnu/libstdc++-v3'
Makefile:12871: recipe for target 'all-stage1-target-libstdc++-v3'
failed make[2]: *** [all-stage1-target-libstdc++-v3] Error 2 make[2]:
Leaving directory '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build'
Makefile:18905: recipe for target 'stage1-bubble' failed make[1]: ***
[stage1-bubble] Error 2 make[1]: Leaving directory
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build' Makefile:19236:
recipe for target 'bootstrap-lean' failed make: *** [bootstrap-lean]
Error 2
* ERROR: sys-devel/gcc-5.4.0-r3::gentoo failed (compile phase):
*   emake failed
*
* If you need support, post the output of `emerge --info
'=sys-devel/gcc-5.4.0-r3::gentoo'`,
* the complete build log and the output of `emerge -pqv
'=sys-devel/gcc-5.4.0-r3::gentoo'`.
* The complete build log is located at
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log'.
* The ebuild environment file is located at
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/environment'.
* Working directory:
'/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build'
* S: '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/gcc-5.4.0'
*
* Please
include /var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/gcc-build-logs.tar.bz2
in your bug report.
*
 
>>> Failed to emerge sys-devel/gcc-5.4.0-r3, Log file:
 
>>>  '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log'
 
* Messages for package sys-devel/gcc-5.4.0-r3:
 
* ERROR: sys-devel/gcc-5.4.0-r3::gentoo failed (compile phase):
*   emake failed
*
* If you need support, post the output of `emerge --info
   '=sys-devel/gcc-5.4.0-r3::gentoo'`,
* the complete build log and the output of `emerge -pqv
   '=sys-devel/gcc-5.4.0-r3::gentoo'`.
* The complete build log is located at
   '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log'.
* The ebuild environment file is located at
   '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/environment'.
* Working directory:
   '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/build'
* S: '/var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/gcc-5.4.0'
*
* Please
   include /var/tmp/portage/sys-devel/gcc-5.4.0-r3/work/gcc-build-logs.tar.bz2
   in your bug report.
*


I find the libicuuc.so.58 but not libicuuc.so.52

Code:
yeeloong portage # find / -name libicuuc*.*
/usr/lib32/libicuuc.so
/usr/lib32/libicuuc.so.58.2
/usr/lib32/libicuuc.so.58
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Tue Oct 10, 2017 9:51 am    Post subject: Reply with quote

emtone,

Several things.
Code:
sys-devel/gcc-5.4.0-r3:5.4.0::gentoo  USE="cxx debug doc* fortran* gcj*

The good news is that gcj is on. Why are doc* and fortran* on now?
They are not new flags to gcc, just to your build this time.
Have you been passing USE flags on the command line instead of using package.use?

From
Code:
# gcc-config -l
...
[7] mips64el-unknown-linux-gnu-6.3.0 *
you are building gcc-5.4 with gcc-6.3. It should be OK but its worth trying with
Code:
[6] mips64el-unknown-linux-gnu-5.4.0
too.

I'm not sure that the error you posted is the first error in the build. Please put /var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log onto a pastebin site.
wgetpaste can help.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Wed Oct 11, 2017 1:41 pm    Post subject: Reply with quote

Quote:
Why are doc* and fortran* on now?

I put these USE flags into /etc/portage/make.conf

Quote:
From
Code:
# gcc-config -l
...
[7] mips64el-unknown-linux-gnu-6.3.0 *
you are building gcc-5.4 with gcc-6.3. It should be OK but its worth trying with
Code:
[6] mips64el-unknown-linux-gnu-5.4.0
too.


I change gcc to 5.4.0

Code:
yeeloong portage # gcc-config -l
[1] mips64el-unknown-linux-gnu-5.3.0
[2] mips64el-unknown-linux-gnu-5.3.0-hardenednopie
[3] mips64el-unknown-linux-gnu-5.3.0-hardenednopiessp
[4] mips64el-unknown-linux-gnu-5.3.0-hardenednossp
[5] mips64el-unknown-linux-gnu-5.3.0-vanilla
[6] mips64el-unknown-linux-gnu-5.4.0 *
[7] mips64el-unknown-linux-gnu-6.3.0


I build again
USE="-doc -fortran" emerge -av gcc:5.4.0

Because the build.log is very large so I paste part of it
Here is the BEGIN part of /var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log
http://codepad.org/pCUG2jXK
Here is the END part of /var/tmp/portage/sys-devel/gcc-5.4.0-r3/temp/build.log
http://codepad.org/lc2TrMBk
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Wed Oct 11, 2017 4:00 pm    Post subject: Reply with quote

emtone,

We need more of the end part of the log.
Is it too big for wgetpaste?
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Wed Oct 11, 2017 4:22 pm    Post subject: Reply with quote

I paste the whole build log to here:
https://bpaste.net/show/1b1815c06485

3.86 MB
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Wed Oct 11, 2017 6:15 pm    Post subject: Reply with quote

emtone,

Code:
msgfmt: error while loading shared libraries: libicuuc.so.52: cannot open shared object file: No such file or directory

That really is the first error.

Does your system need to be updated with
Code:
emerge -uDUav @world --with-bdeps=y --keep-going

If it does, do that, then follow it with
Code:
emerge @preserved-rebuild


Code:
roy@NeddySeagoon_Static ~ $ equery b libicuuc.so
 * Searching for libicuuc.so ...
dev-libs/icu-59.1 (/usr/lib64/libicuuc.so -> libicuuc.so.59.1)
roy@NeddySeagoon_Static ~ $ ls /usr/portage/dev-libs/icu -l
total 19
drwxr-xr-x 2 root root 1024 Oct  4 20:03 files
-rw-r--r-- 1 root root 3332 Mar  1  2017 icu-58.1-r1.ebuild
-rw-r--r-- 1 root root 3420 Oct  3 16:08 icu-58.2-r1.ebuild
-rw-r--r-- 1 root root 3342 Sep 22 07:35 icu-59.1.ebuild
-rw-r--r-- 1 root root 4911 Oct  3 16:08 Manifest
-rw-r--r-- 1 root root  255 Jan 24  2016 metadata.xml
That lib belongs to icu-52 which is no longer in portage.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Wed Dec 13, 2017 11:57 am    Post subject: Reply with quote

Hello NeddySeagoon,
I reinstall gentoo. Now the gcc is OK.
Code:
yeeloong ~ # emerge -pv gcc:5.4.0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-devel/gcc-5.4.0-r3:5.4.0::gentoo  USE="cxx fortran gcj jit (multilib) nls nptl (-altivec) -awt (-cilk) -debug -doc -fixed-point -go -graphite (-hardened) (-libssp) (-mpx) -nopie -nossp -objc -objc++ -objc-gc -openmp -pgo -regression-test (-sanitize) -vanilla (-vtv)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

 * IMPORTANT: 21 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

yeeloong ~ #


But I still can't emerge the icedtea:
Code:
yeeloong ~ # emerge -av icedtea

 * IMPORTANT: 21 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!


[nomerge       ] dev-java/icedtea-3.6.0:8::gentoo  USE="alsa cups gtk jbootstrap pch source sunec webstart (-cacao) -doc -examples -headless-awt (-jamvm) -kerberos -libressl -nsplugin -pax_kernel (-pulseaudio) -sctp (-selinux) (-shenandoah) (-smartcard) {-test} -zero"
[ebuild  N    *]  dev-java/icedtea-web-1.6.2::gentoo  USE="-doc -javascript -nsplugin -tagsoup {-test}" 1782 KiB
[ebuild  N    *]   virtual/jre-1.8.0-r1:1.8::gentoo  0 KiB
[ebuild  N    *]    virtual/jdk-1.8.0-r3:1.8::gentoo  0 KiB
[ebuild  N    *]     dev-java/icedtea-3.6.0:8::gentoo  USE="alsa cups gtk jbootstrap pch source sunec webstart (-cacao) -doc -examples -headless-awt (-jamvm) -kerberos -libressl -nsplugin -pax_kernel (-pulseaudio) -sctp (-selinux) (-shenandoah) (-smartcard) {-test} -zero" 59467 KiB

Total: 4 packages (4 new), Size of downloads: 61249 KiB

 * Error: circular dependencies:

(dev-java/icedtea-3.6.0:8/8::gentoo, ebuild scheduled for merge) depends on
 (dev-java/icedtea-3.6.0:8/8::gentoo, ebuild scheduled for merge) (buildtime)

 * Note that circular dependencies can often be avoided by temporarily
 * disabling USE flags that trigger optional dependencies.

!!! The following installed packages are masked:
- sys-kernel/gentoo-sources-4.14.0::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Alice Ferrazzi <alicef@gentoo.org> (21 Nov 2017)
# A regression in kernel 4.14.0
# Data corruption issue that affects at minimum bcache.
# The hope is that this patch will make it to 4.14.1 Bug #638206

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

yeeloong ~ #


The gcc version:
Code:
yeeloong ~ # gcc --version
gcc (Gentoo 5.4.0-r3 p1.7, pie-0.6.5) 5.4.0
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

yeeloong ~ #
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Wed Dec 13, 2017 4:21 pm    Post subject: Reply with quote

emtone,

gcc with USE=gcj will only build icedtea:7
That's either masked or been removed from the tree.

In my tree,
Code:
$ eix icedtea
* dev-java/icedtea
     Available versions:  (8) (~)3.6.0
its gone, that's icedtea:8.

You need to fetch the icedtea:7 ebuild from git or the java overlay and emerge that.
Once you have icedtea:7, you use that to build icedtea:8.

Building icedtea on a 64 bit Raspberry Pi will have required similar steps to those required on your mips based system.

-- edit --

Where that page says Important
These packages are now keyworded ~arm64. This step is not required

You need to do that because the packages will not be keyworded for mips.
There may be more too.

You will only ever build icedtea:7, then you will only ever use it to build icedtea:8.
Once you have an icedtea, it will be used to build later versions of itself.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Thu Dec 14, 2017 1:16 pm    Post subject: Reply with quote

Thanks NeddySeagoon,

I add the java repository use layman -a java, try to emerge icedtea but not success:

Code:
yeeloong icedtea # ls
ChangeLog  Manifest  files  icedtea-3.6.0.ebuild  icedtea-3.7.0_pre00.ebuild  icedtea-7.2.6.12.ebuild  icedtea-7.2.7.0_pre15.ebuild  metadata.xml
yeeloong icedtea # pwd
/var/lib/layman/java/dev-java/icedtea
yeeloong icedtea # ebuild icedtea-7.2.6.12.ebuild manifest
Appending /var/lib/layman/java to PORTDIR_OVERLAY...
/usr/lib/portage/python2.7/ebuild.sh: line 111: /usr/portage/eclass/eutils.eclass: Permission denied
 * ERROR: dev-java/icedtea-7.2.6.12::java failed (depend phase):
 *   died sourcing /usr/portage/eclass/eutils.eclass in inherit()
 *
 * Call stack:
 *                 ebuild.sh, line 620:  Called source '/var/lib/layman/java/dev-java/icedtea/icedtea-7.2.6.12.ebuild'
 *   icedtea-7.2.6.12.ebuild, line  12:  Called inherit 'check-reqs' 'gnome2-utils' 'java-pkg-2' 'java-vm-2' 'multiprocessing' 'pax-utils' 'prefix' 'versionator' 'virtualx'
 *                 ebuild.sh, line 316:  Called __qa_source '/usr/portage/eclass/check-reqs.eclass'
 *                 ebuild.sh, line 111:  Called source '/usr/portage/eclass/check-reqs.eclass'
 *         check-reqs.eclass, line  42:  Called inherit 'eutils'
 *                 ebuild.sh, line 316:  Called die
 * The specific snippet of code:
 *              __qa_source "$location" || die "died sourcing $location in inherit()"
 *
 * If you need support, post the output of `emerge --info '=dev-java/icedtea-7.2.6.12::java'`,
 * the complete build log and the output of `emerge -pqv '=dev-java/icedtea-7.2.6.12::java'`.
 * Working directory: '/usr/lib32/python2.7/site-packages'
 * S: '/var/tmp/portage/dev-java/icedtea-7.2.6.12/work/icedtea-7.2.6.12'

yeeloong icedtea # emerge -av =icedtea-7.2.6.12       

 * IMPORTANT: 21 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies | * Missing digest for '/usr/portage/dev-java/icedtea/icedtea-7.2.6.12.ebuild'
... done!

!!! All ebuilds that could satisfy "=icedtea-7.2.6.12" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-java/icedtea-7.2.6.12::gentoo (masked by: corruption)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 39297
Location: 56N 3W

PostPosted: Thu Dec 14, 2017 7:08 pm    Post subject: Reply with quote

It looks like I only have a mobile phone for connectivity probably until the new year.

Ask in #gentoo-java on irc.freenode.net. Say I sent you.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emtone
n00b
n00b


Joined: 11 Apr 2017
Posts: 11

PostPosted: Thu Dec 14, 2017 7:24 pm    Post subject: Reply with quote

OK, Thank you NeddySeagoon!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum